Description

Setting a max value does not change the histogram. It doesn't even affect when I call "recompute histogram".

This is a new functionality which was not available in 1.8.

Tested on Win7.

History

#1 - 2013-04-15 01:33 PM - Pedro Venâncio

Anita, if you activate the option "Show min/max markers", the min/max are shown in the histogram by dashed lines.

Then you can make a manual "zoom" on the histogram to only show the area between min and max values.

#2 - 2013-04-15 11:12 PM - Anita Graser

Thanks for your feedack Pedro. Do you mean that editing the min and max values should not do anything? I was expecting that the histogram would zoom

to these bounds. If it shouldn't, then the UI is misleading. The user should not be able to edit these values if it doesn't affect anything. Just turn the fields

into read-only then.

#3 - 2013-04-16 01:32 AM - Pedro Venâncio

Hi Anita,

I also think it could be implemented the functionality to zoom to histogram bounds.

However, I think we can not say that currently does not affect anything, because when you set the min and max values and click Apply, these values are

applied to raster.

#4 - 2013-04-16 04:03 AM - Anita Graser

Oh, so they are applied to the raster style?

Isn't that even worse? I as a user find that totally confusing. I can already change the value in the style tab. I wouldn't expect the field on the histogram tab

to do the same.
#5 - 2013-04-16 04:31 AM - Pedro Venâncio

I see an advantage in having this function, which is the ability to manually set the min and max limits according to the values plotted in the histogram.

#6 - 2013-05-06 07:09 AM - Etienne Tourigny

- Assignee set to Etienne Tourigny

I implemented these features some time ago, and will look into it.

#7 - 2013-05-06 07:16 AM - Etienne Tourigny

- Status changed from Open to Feedback

I see what you mean Anita, I implemented this to be able to manually set the bounds, based on the actual histogram. Going back and forth from the style

and histogram tabs is highly tedious.  Originally I wanted something like what you have in gimp or Photoshop, with arrows to select the min/max values on

the histogram. However, I couldn't find a suitable QT widget and gave up.

How would you improve this? I do not want to remove the ability to set the min/max of the style from histogram.

I could add an option to zoom to these bounds. However, how do you zoom back out? Currently you can right-click after doing a left-click + drag zoom in.

I would suggest the following:

1) always show min/max markers when one of the hands are clicked, regardless of "show min/max markers" 

2) add an option (off by default) to zoom to min/max

#8 - 2013-05-06 07:56 AM - Anita Graser

Hi Etienne! I now understand what was the motivation behind the feature. To communicate to the user what to expect from the dialog, I could imagine

having labels such as:

"style Band [band dropdown] using Min [input] and Max [input]"

Just to make clear that these input fields are not meant to modify the histogram but rather are a shortcut to layer styling.

#9 - 2013-05-06 08:27 AM - Etienne Tourigny

I'll try your suggestion, along with 1) and 2) that I wrote above and 3) here.

3) Also, it might be worth not updating the style automatically. should this be done with a button and/or option to update automatically when values are

changed?

#10 - 2013-05-06 10:40 AM - Etienne Tourigny

I have committed changes that should resolve all points mentioned here.  Please test this week and give me your feedback.
#11 - 2013-05-10 02:46 PM - Anita Graser

I guess it's fine now. Thanks!

#12 - 2013-05-13 09:21 AM - Etienne Tourigny

- % Done changed from 0 to 100

- Resolution set to fixed

thanks for your input

#13 - 2013-05-28 02:37 PM - Etienne Tourigny

- Status changed from Feedback to Resolved

#14 - 2013-05-29 04:02 AM - Mathieu Pellerin - nIRV

- Status changed from Resolved to Closed

Changing status from resolved to closed, resolution fixed.
